is not reproduced on master, most probably you have an older OpenStack
version (Pike?)

on recent devstack:

$ curl

{"versions": [{"min_version": "1.0", "max_version": "1.17", "id":

** Changed in: nova
       Status: New => Invalid

You received this bug notification because you are a member of Yahoo!
Engineering Team, which is subscribed to OpenStack Compute (nova).

  accessing to root of nova placement returns 401

Status in OpenStack Compute (nova):

Bug description:
  All opentack services returns versions data when doing GET to root
  url. Placement API instead returns 401. Would be good to have
  consistency with other services, so backend check scripts (haproxy)
  have the same configuration for placement and other APIs.

  root@ctl01:~# curl
  {"error": {"message": "The request you have made requires authentication.", 
"code": 401, "title": "Unauthorized"}}root@ctl01:~# 

  root@ctl01:~# curl
  {"versions": [{"status": "SUPPORTED", "updated": "2011-01-21T11:33:21Z", 
"links": [{"href": "";, "rel": "self"}], 
"min_version": "", "version": "", "id": "v2.0"}, {"status": "CURRENT", 
"updated": "2013-07-23T11:33:21Z", "links": [{"href": 
"";, "rel": "self"}], "min_version": "2.1", 
"version": "2.53", "id": "v2.1"}]}root@ctl01:~#

To manage notifications about this bug go to:

Mailing list:
Post to     :
Unsubscribe :
More help   :

Reply via email to